Loading...
Searching...
No Matches
ranges::advance_fn Struct Reference
Iterator

## Public Member Functions

template<typename I > requires input_or_output_iterator<I>
constexpr void | operator() (counted_iterator< I > &i, iter_difference_t< I > n) const
template<typename I > requires input_or_output_iterator<I>
constexpr void | operator() (I &i, iter_difference_t< I > n) const
template<typename I , typename S > requires sentinel_for<S, I>
constexpr void | operator() (I &i, S s) const
template<typename I , typename S > requires sentinel_for<S, I>
constexpr iter_difference_t< I > | operator() (I &it, iter_difference_t< I > n, S bound) const